#include <cmath>
#include <iostream>
#include <vector>
using namespace std;

long long summa(long long a, long long b) {
    int a1, b1, m;
    long long c, i = 1;
    while (a > 0 || b > 0) {
        a1 = a % 10;
        b1 = b % 10;
        m = max(a1, b1);
        c += m * i;
        i *= 10;
        a -= a % 10;
        a /= 10;
        b -= b % 10;
        b /= 10;
    }
    return c;
}

long long proizvedenie(long long a, long long b) {
    vector<int> a1;
    vector<int> b1;
    vector<long long> dc;
    while (a > 0) {
        a1.push_back(a % 10);
        a -= a % 10;
        a /= 10;
    }
    while (b > 0) {
        b1.push_back(b % 10);
        b -= b % 10;
        b /= 10;
    }
    long long st1 = 1;
    for (int i = 0; i < a1.size(); i++) {
        long long c = 0, st = 1;
        for (int j = 0; j < b1.size(); j++) {
            c += min(a1[i], b1[j]) * st;
            st *= 10;
        }
        dc.push_back(c * st1);
        st1 *= 10;
    }
    long long s = 0;
    for (int i = 0; i < dc.size(); i++) {
        s = summa(s, dc[i]);
    }
    return s - 1;
}

int main() {
    long long a, b;
    cin >> a >> b;
    cout << summa(a, b) << " " << proizvedenie(a, b);
}